Kerbal Space Program - Bug #15409

Parts Colliding with Fairings
06/01/2017 02:19 AM - shawnsdigital
Severity: Normal % Done: 100%
Assignee:

Category: Physics

Target version: Not Applicable

Version: 1.3.0 Language: English (US)
Platform: Windows Mod Related: No
Description

*When launching any ship with a fairing, anything inside the fairing collides with it and causes an RUD. (Random Unplanned
Disassembly)

2. PRODUCE:
*Launch any ship with a fairing covering several parts. I've included file of ship file, although it seems ALL of my designs that include
fairings are having this issue.

3. NOTES:

e Sometimes things do manage to stay together, but you can clearly see there are issues when loading any ship with or without a
fairing. It seems a lot "rougher" than 1.2.2

¢ When ships do survive the loading, parts are typically offset and rotated from their origin both cosmetically and in the physics
model. Ships will have serious torque and aerodynamic issues if you try to fly the ship.

4. TESTING:

1.3.0 (modded/unmodded)

1.2.2 Could not recreate

No other tests conducted

1.25m and 2.5m were used. (Rarely use 3.75, however | am assuming it has the same problem)
Approximately 7/10 ships will explode, 2/10 will be offset/skewed physically, 1/10 will appear to be functional.

5. MODS:

¢ KSP Engineer Redux
e KSP Alarm Clock

History

#1 - 06/04/2017 08:28 AM - Azimech

| have noticed this as well. | had to change the configuration of the autostruts multiple times and add normal struts to prevent this. Looking at the fact
not everyone uses autostruts except they're forced to when using landing legs or wheels, this is a problem.

#2 - 06/04/2017 10:50 AM - Azimech
- File screenshot1258.png added

Seems to me a part of the problem is that the fairings are not hollow anymore after loading the simulation, new colliders are automatically created to
connect them internally. Maybe the properties of these colliders could be changed: only for shielding parts from the atmosphere while not creating
problems with the colliders of the shielded parts.

Another problem is that it's no longer possible to decouple parts inside a fairing and have them move around. This limits the development of for
example stock electrical engines and turboprops.

#3 - 06/12/2017 04:20 PM - bewing
- Status changed from New to Ready to Test
- Target version set to Not Applicable

- % Done changed from 0 to 80

Azimech: Pointy fairings were never hollow. Interstage fairings are always hollow. So we will need a more complete report if you are really seeing a
difference.

Beyond that, there is a fix to test for the fairing collisions in the next release.

#4 - 07/29/2017 05:49 PM - jcb47769
- File screenshot94.png added

- File screenshot95.png added

- File screenshot96.png added

- File Mohohoho.craft added

Just want to confirm this is pretty consistent for me as well - I've had to stop using fairings in 1.3 altogether. | build a lot of ships with heavy payloads
that are balanced on small decouplers or docking ports, and heavily autostrutted, but no traditional struts or fuel lines. My outer boosters are
sometimes strutted to root, and my impression is that the weight of the outer boosters sags, pulling on the root part and crashing bits of it into the
fairing. Oddly the same ship will sometimes explode completely, with the fairing decoupling from the lifter, and sometimes only a part or 2 will be torn
off inside the fairing and smashed into the side. Same ship, no fairing no problems. Modded and stock beth-easy-to-recreate:

Edit - that Mohohoho.craft file is the one without the fairing, that loads fine. Now | add a fairing back to it and the problem is gone and | can't recreate
it again. sorry.

#5 - 03/20/2018 11:40 AM - Squelch

- Severity changed from Critical to Normal

#6 - 04/13/2019 08:16 AM - Anth12
- Status changed from Ready to Test to Resolved

- % Done changed from 80 to 100

This hasnt been a problem for a long time

#7 - 04/15/2019 06:30 PM - chris.fulton

- Status changed from Resolved to Closed

Files

Discovery One.craft 132 KB 06/01/2017 shawnsdigital
Kerbal RLM3 test.craft 87.6 KB 06/01/2017 shawnsdigital
screenshot1258.png 775 KB 06/04/2017 Azimech
screenshot95.png 949 KB 07/29/2017 jcb47769
screenshot94.png 998 KB 07/29/2017 jcb47769
screenshot96.png 976 KB 07/29/2017 jcb47769
Mohohoho.craft 154 KB 07/29/2017 jcb47769
